AnsweredAssumed Answered

Updating from 10.2.x to 100.x

Question asked by SergioMorenoAntequera on Jun 4, 2019
Latest reply on Jun 4, 2019 by ESoekianto-esristaff

Hello, to begin with I would like to say sorry for my english and also tanking you for understanding that this is no my main languaje and for taking your time to read this question.

 

The thing is that I know about this page Migrate to 100.x from 10.2.x—ArcGIS Runtime SDK for Qt | ArcGIS for Developers  and I've been told to update an app in the versions mencionated above. And I am having some trouble, I can see that the app uses some classes from the previous version such as:

 

   - OnlineRouteTask OnlineRouteTask Class

   - OnlineRouteTaskParameters https://developers.arcgis.com/qt/10-2/qml/api reference/class_online_route_task_parameters.html

 

And a large etc. Those clases my qtCreator marks it as a problem.

 

 

And I cant find any reference in the old API(wich I thing that is the link that I attached with the classes names) to the new one and I dont really know what classes to use instead of those to do a similar thing withput getting errors.

 

Or maybe the problem is that I have to install previous SDKs to hace acces to the older APIs in wich case I dont know how to find them and if that would work.

 

Also this is how I found the code, so this makes me think that some major changes appeared in the update procces changing most of the API estructure.

 

 

Tank you for taking your time. Good Bye.

Outcomes